package me.kcm.events;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.crafting.IRecipe;
import net.minecraftforge.event.entity.player.PlayerEvent;
import net.minecraftforge.fml.common.eventhandler.Cancelable;

@Cancelable
public class RecipeChosenEvent extends PlayerEvent
{
    private IRecipe recipe;
    
    public RecipeChosenEvent(EntityPlayer player, IRecipe recipe) 
    {
        super(player);
        this.recipe = recipe;
    }

    public void setRecipe(IRecipe recipe) 
    {
        this.recipe = recipe;
    }
    
    public IRecipe getRecipe() 
    {
        return recipe;
    }
}
